@echo off

if "%1"=="clean" goto :clean

echo.
echo Teste Aufgabenstellung ...
echo.

for %%i in (Aufgabenstellung\*.txt) do echo Bearbeite %%i & java -jar ../Programm/programm.jar -overwrite -d %%i 

echo.
echo Teste Normalfaelle ...
echo.


for %%i in (Normalfaelle\*.txt) do echo Bearbeite %%i & java -jar ../Programm/programm.jar -overwrite -d %%i 


echo.
echo Teste Sonderfaelle ...
echo.

for %%i in (Sonderfaelle\*.txt) do echo Bearbeite %%i & java -jar ../Programm/programm.jar -overwrite -d %%i



echo.
echo Teste Fehlerfaelle ...
echo.

for %%i in (Fehlerfaelle\*.txt) do echo Bearbeite %%i & java -jar ../Programm/programm.jar -overwrite -d %%i

goto :end

:clean
rem Ausgabedateien loeschen
for %%i in (Aufgabenstellung\*.out) do echo Loesche %%i & del %%i
echo.
for %%i in (Normalfaelle\*.out) do echo Loesche %%i & del %%i
echo.
for %%i in (Sonderfaelle\*.out) do echo Loesche %%i & del %%i
echo.
for %%i in (Fehlerfaelle\*.out) do echo Loesche %%i & del %%i

:end
pause

